//=============================================================================
// File: HC12VEC.C
// Func: Interrupt & Reset Vectors for HC12compact SBC in Wide Expanded Mode
// Vers: 1.0
// Auth: Copyright (C)1998 by MCT GbR, Oliver Thamm
//       (based on material by Imagecraft Inc.)
// Rem.: Compile to object and link it together with your other modules
//       or just include it in your source file
//=============================================================================

extern void _start(void);	// entry point in crt??.s 

#define DUMMY_ENTRY	(void (*)(void))0xFFFF

#pragma abs_address:0xffce

void (*interrupt_vectors[])(void) = 
	{
	// to cast a constant, say 0xb600, use (void (*)())0xb600
	//
	DUMMY_ENTRY,	// KWUH 
	DUMMY_ENTRY,	// KWUJ 
	DUMMY_ENTRY,	// ATD 
	DUMMY_ENTRY,	// SCI1 
	DUMMY_ENTRY,	// SCI0 
	DUMMY_ENTRY,	// SPI 
	DUMMY_ENTRY,	// PAIE 
	DUMMY_ENTRY,	// PAO 
	DUMMY_ENTRY,	// TOF 
	DUMMY_ENTRY,	// TC7 
	DUMMY_ENTRY,	// TC6 
	DUMMY_ENTRY,	// TC5 
	DUMMY_ENTRY,	// TC4 
	DUMMY_ENTRY,	// TC3 
	DUMMY_ENTRY,	// TC2 
	DUMMY_ENTRY,	// TC1
	DUMMY_ENTRY,	// TC0
	DUMMY_ENTRY,	// RTI
	DUMMY_ENTRY,	// IRQ / KWUD
	DUMMY_ENTRY,	// XIRQ
	DUMMY_ENTRY,	// SWI 
	DUMMY_ENTRY,	// Illegal Opcode
	DUMMY_ENTRY,	// COP
	DUMMY_ENTRY,	// Clock Monitor Fail 
	_start			// RESET
	};
#pragma end_abs_address
